View Issue Details

IDProjectCategoryView StatusLast Update
0005598GNUnetotherpublic2019-03-20 23:49
Reporterng0Assigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status assignedResolutionopen 
Product Version 
Target Version0.11.1Fixed in Version 
Summary0005598: Various files still point to old gnunet.org
DescriptionMost of our READMEs, excluding gnunet I think I fixed this, are still pointing to variations of gnunet.org
while it should be old.gnunet.org in cases where it makes sense.

It would be easier to have an appache config which tries old.gnunet.org for any given URL when gnunet.org fails for
an URL before falling back to 404.
TagsNo tags attached.

Activities

ng0

2019-02-22 11:40

developer   ~0013942

This is major, because gnunet-gtk should be released around the same time and still has it.

ng0

2019-02-22 12:31

developer   ~0013943

gnunet: URLs in comments remain
gnunet-gtk: fixed

Both should be updated to docs.gnunet.org, but this will take more time.

ng0

2019-03-15 00:13

developer   ~0014202

Fast fix (ie don't do this): simply use old.gnunet.org in place.
Proper fix: Link to the section on docs.gnunet.org and similar places.
Annoying work, low hanging fruit for 0.11.1

ng0

2019-03-15 00:14

developer   ~0014203

When I write "files" I mean, clone the repos and run a recursive text search for "gnunet.org" in there. For gnunet this is now mostly src/

ic.rbow

2019-03-16 18:07

reporter   ~0014212

This is also upsetting web search results greatly and frustrates users that are hit with 404 on arrival.

ng0

2019-03-16 19:39

developer   ~0014215

I like this approach and don't think we should intentionally break old pages https://4042302.org/

ng0

2019-03-20 23:48

developer   ~0014224

Let me stress the importance of the broken links:

1) it's bad publicity, people expect to find information even if in the end it turns out to be the old one
2) I get this question very often "where did XY go on the gnunet.org page? It's gone!" or something like that
3) Also wldhx gets this question.

ng0

2019-03-20 23:49

developer   ~0014225

Since only grothoff can resolve this on the server side, assigned to grothoff

Issue History

Date Modified Username Field Change
2019-02-22 11:39 ng0 New Issue
2019-02-22 11:40 ng0 Note Added: 0013942
2019-02-22 11:41 ng0 Assigned To => ng0
2019-02-22 11:41 ng0 Status new => assigned
2019-02-22 11:51 ng0 Summary READMEs still point to old gnunet.org => Various files still point to old gnunet.org
2019-02-22 11:51 ng0 Description Updated View Revisions
2019-02-22 12:30 ng0 Priority high => normal
2019-02-22 12:31 ng0 Note Added: 0013943
2019-02-22 12:31 ng0 Assigned To ng0 =>
2019-02-28 11:49 Christian Grothoff Status assigned => confirmed
2019-02-28 11:49 Christian Grothoff Target Version => 0.11.1
2019-03-15 00:13 ng0 Note Added: 0014202
2019-03-15 00:14 ng0 Note Added: 0014203
2019-03-16 18:07 ic.rbow Note Added: 0014212
2019-03-16 19:39 ng0 Note Added: 0014215
2019-03-20 23:48 ng0 Note Added: 0014224
2019-03-20 23:48 ng0 Assigned To => Christian Grothoff
2019-03-20 23:48 ng0 Status confirmed => assigned
2019-03-20 23:49 ng0 Note Added: 0014225